# Block-trade flow (one stock)

> Daily net block-trade flow and the 20 most recent large trades for one stock.

```http
GET https://koboterminal.com/api/whale-flow/{symbol}
```

**Plan:** Free and above (free key, no card).

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `symbol` | path | string | yes | NGX ticker (e.g. `GTCO`) |
| `days` | query | integer | no | Window in days, 1 to 90 (default 30) |

## Request

```bash
curl "https://koboterminal.com/api/whale-flow/GTCO?days=30" \
  -H "X-API-Key: $KOBO_API_KEY"
```

```python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/whale-flow/GTCO",
    params={"days": "30"},
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
```

```javascript
const res = await fetch("https://koboterminal.com/api/whale-flow/GTCO?days=30", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();
```

## Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

```json
{
  "success": true,
  "symbol": "GTCO",
  "days": 30,
  "count": 358,
  "buy_value": 7927614479.5,
  "sell_value": 14736560848.999996,
  "unknown_value": 1259138711,
  "net_value": -6808946369.499996,
  "daily": [
    {
      "date": "2026-11-18",
      "buy_value": 0,
      "sell_value": 1209040686.4,
      "net_value": -1209040686.4,
      "trades": 28
    }
  ],
  "recent": [
    {
      "id": "20261118-000050174801",
      "price": 115.9,
      "qty": 90340,
      "value": 10470406,
      "time": "2026-11-18T15:00:00.002+00:00",
      "side": "sell"
    }
  ]
}
```

## Errors

Standard errors apply: see [Rate limits and errors](https://koboterminal.com/docs/errors).
